### Method

# Gtk ComboBoxset_entry_text_column

deprecated: 4.10

#### Declaration [src]

    void
    gtk_combo_box_set_entry_text_column (
      GtkComboBox* combo_box,
      int text_column
    )

#### Description [src]

Sets the model column which `combo_box` should use to get strings from to be `text_column`.

For this column no separate `GtkCellRenderer` is needed.

The column `text_column` in the model of `combo_box` must be of type `G_TYPE_STRING`.

This is only relevant if `combo_box` has been created with `GtkComboBox:has-entry` as `TRUE`.

Deprecated since: 4.10

Use `GtkDropDown`

Sets property | `Gtk.ComboBox:entry-text-column`

#### Parameters

`text_column`

  Type: `int`

  A column in `model` to get the strings from for the internal entry.